<div fxFill fxLayout="column" fxLayoutAlign="center stretch">
  <mat-form-field>
    <input
      matInput
      appCurrency
      prefix="$"
      placeholder="Currency"
      [(ngModel)]="price"
    />
    <mat-hint>Use this field to test currency format.</mat-hint>
  </mat-form-field>

  <button mat-button color="primary" (click)="price = 1">
    Update input value to {{ 1 | currency }}
  </button>

  <app-test [price]="price" (parentPriceEvent)="receivePrice($event)">
    <p>I am going to appear in ng-content</p>
  </app-test>
</div>
